%define name	nagios-check_kdc
%define version	20050715
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Nagios kdc plugin
Group:		Networking/Other
License:	BSD
URL:		http://www.loveshack.ukfsn.org/nagios/
Source0:	http://www.loveshack.ukfsn.org/nagios/check_kdc
Patch:	    check_kdc-20050715-fix-kinit-path.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Check getting tickets from a kerberos KDC using a keytab. Doesn't require Perl
Kerberos stuff (unlike check_krb5), just kinit/kdestroy.

%prep
%setup -T -c
install -m 755 %{SOURCE0} check_kdc
%patch -p 0

%build


%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}/nagios/plugins
install -m 755 check_kdc %{buildroot}%{_libdir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_kdc.cfg <<'EOF'
define command{
	command_name	check_kdc
	command_line	%{_libdir}/nagios/plugins/check_kdc -H $HOSTADDRESS$
}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/nagios/plugins/check_kdc
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_kdc.cfg


%changelog
* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 20050715-5mdv2008.0
+ Revision: 196817
- fix kinit path (bug #40307)

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 20050715-4mdv2008.1
+ Revision: 168932
- fix configuration (thanks oden)

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 20050715-3mdv2008.1
+ Revision: 168912
- add a configuration file

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 20050715-2mdv2008.1
+ Revision: 168796
- not a noarch package, as nagios plugins installation directory is arch-dependant

* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 20050715-1mdv2008.1
+ Revision: 162719
- import nagios-check_kdc


* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 20050715-1mdv2008.1
- first mandriva package
